# TCGAutils <a href='https://waldronlab.io/'><img src='https://raw.githubusercontent.com/Bioconductor/BiocStickers/master/TCGAutils/TCGAutils.png' align="right" height="139" /></a>

The `TCGAutils` package provides a suite of helper functions that aid in
the management and cleaning of data from The Cancer Genome Atlas (TCGA).

Many of the functions contained herein work on raw and derived data objects
from The Cancer Genome Atlas (TCGA), the `RTCGAToolbox` package and
`curatedTCGAData` experiment data package.

Please make sure to download the latest version of `RTCGAToolbox`
from Bioconductor.

## Installation

```
if (!require("BiocManager"))
    install.packages("BiocManager")

library(BiocManager)

install("TCGAutils")
```

## Cheatsheet

<a href="https://github.com/waldronlab/cheatsheets/blob/main/TCGAutils_cheatsheet.pdf"><img src="https://raw.githubusercontent.com/waldronlab/cheatsheets/main/pngs/TCGAutils_cheatsheet.png" width="989" height="1091"/></a>

Please report minimally reproducible bugs at our [github issue page][]

[github issue page]: https://github.com/waldronlab/TCGAutils/issues

